# Insiders `GET` `https://api.unusualwhales.com/api/insider/{ticker}` Returns all insiders for the given ticker ## Authentication ``` Authorization: Bearer YOUR_API_KEY ``` ## Path Parameters | Name | Type | Required | Description | |------|------|----------|-------------| | `ticker` | SingleTicker | Yes | A single ticker | ## Response (200) | Field | Type | Description | |-------|------|-------------| | `cik` | Insider CIK | The insider's CIK (Central Index Key). | | `id` | Insider ID | The insider's ID. | | `is_person` | Insider Is Person | Whether the insider is a person. False if the insider is a fund, LLC, etc. | | `logo_url` | Insider Logo URL | The URL to the insider's logo. | | `name` | Insider Name | The name of the insider. | | `name_slug` | Insider Name Slug | The slugified name of the insider. | | `social_links` | Insider Social Links | The social links of the insider. | | `ticker` | Stock Ticker | The stock ticker. | ## Example ### curl ```bash curl -X GET "https://api.unusualwhales.com/api/insider/{ticker}" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Accept: application/json" ``` ### Python ```python import http.client conn = http.client.HTTPSConnection("api.unusualwhales.com") headers = {"Authorization": "Bearer YOUR_API_KEY", "Accept": "application/json"} conn.request("GET", "/api/insider/{ticker}", headers=headers) response = conn.getresponse() print(response.read().decode("utf-8")) ``` ## Response Example ```json { "data": [ { "cik": "0001823951", "display_name": "KARP ALEXANDER", "id": 10343, "is_person": true, "logo_url": "https://storage.googleapis.com/uwassets/insiders/10343", "name": "KARP ALEXANDER", "name_slug": "karp-alexander", "ticker": "PLTR" } ] } ```